## org.hibernate.cache
Class AbstractJndiBoundCacheProvider

    java.lang.Object
      org.hibernate.cache.AbstractJndiBoundCacheProvider

All Implemented Interfaces:
  CacheProvider

    public abstract class AbstractJndiBoundCacheProvider

extends Object
implements CacheProvider

Support for CacheProvider implementations which are backed by caches bound into JNDI namespace.

Author:
  Steve Ebersole

Constructor Summary
`AbstractJndiBoundCacheProvider()`

Method Summary
`Object` `getCache()`
`protected void` `prepare(Properties properties)`
`protected void` `release()`
`void` `start(Properties properties)` Callback to perform any necessary initialization of the underlying cache implementation during SessionFactory construction.
`void` `stop()` Callback to perform any necessary cleanup of the underlying cache implementation during SessionFactory.close().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.cache.CacheProvider
`buildCache, isMinimalPutsEnabledByDefault, nextTimestamp`

Constructor Detail

### AbstractJndiBoundCacheProvider

    public AbstractJndiBoundCacheProvider()

Method Detail

### prepare

    protected void prepare(Properties properties)

### release

    protected void release()

### start

    public final void start(Properties properties)
                     throws CacheException

  Callback to perform any necessary initialization of the underlying cache implementation during SessionFactory construction.

  Specified by:
    `start` in interface `CacheProvider`
  Parameters:
    `properties` - current configuration settings.
  Throws:
    `CacheException`

### stop

    public final void stop()

  Callback to perform any necessary cleanup of the underlying cache implementation during SessionFactory.close().

  Specified by:
    `stop` in interface `CacheProvider`

### getCache

    public Object getCache()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.